<?php
/*

Plugin: News Manager Auto-open Post Options
Requires: GetSimple CMS 3.1+, News Manager plugin

To enable only when creating new posts, add this to your site's gsconfig.php file:
 define('NMAUTOOPEN','new');
To disable auto-open without deactivating the plugin:
 define('NMAUTOOPEN',0);

*/

# get correct id for plugin
$thisfile = basename(__FILE__, '.php');

# register plugin
register_plugin(
  $thisfile,
  'News Manager Auto-open Post Options',
  '0.1',
  'Carlos Navarro',
  'http://www.cyberiada.org/cnb/',
  'Automatically open the post options when editing News Manager posts',
  '',
  ''
);

if (basename($_SERVER['PHP_SELF']) == 'load.php' && isset($_GET['id']) && $_GET['id'] == 'news_manager' && isset($_GET['edit']))
  if (!defined('NMAUTOOPEN') || NMAUTOOPEN)
    if (!(!empty($_GET['edit']) && defined('NMAUTOOPEN') && NMAUTOOPEN == 'new'))
      add_action('footer', 'nmautoopen_footer_include');

function nmautoopen_footer_include() {
?>
<script type="text/javascript">
  $(function() {
    $("#metadata_window").slideToggle('fast');
    $("#metadata_toggle").toggleClass('current');    
  });
</script>
<?php
}
